Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           vhybridize
Version:        0.5.9
Release:        alt1_21
Summary:        Virtual Hybridization command line tools

License:        GPLv3+
URL:            http://ygingras.net/bioinfo
Source0:        http://ygingras.net/files/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools
Source44: import.info

%description
Virtual Hybridization uses sets of short probes to generate datasets
for comparative genomics: given a DNA sequence and a set of probes,
the typical output will give a sequence of oriented probe hits along
the DNA sequence. Other tools are supplied to allow simple manipulations
such as format conversion and extraction of permutations.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
# Remove shebang
for file in \
    %{buildroot}%{python_sitelibdir_noarch}/%{name}/scripts/{to_permutation.py,split_multi_fasta.py} \
    %{buildroot}%{python_sitelibdir_noarch}/%{name}/{utils.py,locate.py}   \
    %{buildroot}%{python_sitelibdir_noarch}/%{name}/scripts/{to_vhx.py,merge.py,filter.py}; do
    sed -i -e '/^#!\//, 1d' $file
done

%files
%doc AUTHORS.txt COPYING.txt README.txt TODO.txt docs/ examples/
%{_bindir}/vhy*
%{python_sitelibdir_noarch}/%{name}/
%{python_sitelibdir_noarch}/%{name}*.egg-info

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_21
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_20
- update to new release by fcimport

* Thu Mar 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_19
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_18
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_17
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_16
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_15
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_14
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_13
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_12
- update to new release by fcimport

* Tue Nov 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_11
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_10
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.9-alt1_9
- initial fc import

